org.eclipse.rdf4j.query.algebra

## Interface GraphPatternGroupable

- All Known Implementing Classes:
    AbstractAggregateOperator, AbstractNaryOperator, AbstractNaryTupleOperator, AbstractQueryModelNode, Add, AggregateOperatorBase, And, ArbitraryLengthPath, Avg, BinaryTupleOperator, BinaryValueOperator, BindingSetAssignment, BNodeGenerator, Bound, BoundFiltersNode, Clear, Coalesce, Compare, CompareAll, CompareAny, CompareSubQueryValueOperator, ConjunctiveFilterExpr, Copy, Count, Create, Datatype, DeleteData, DescribeOperator, Difference, Distinct, EmptyNJoin, EmptyNUnion, EmptySet, EmptyStatementPattern, ExclusiveArbitraryLengthPath, ExclusiveGroup, ExclusiveStatement, Exists, Extension, ExtensionElem, ExternalSet, FedXLeftJoin, FedXService, FedXStatementPattern, Filter, FilterExpr, FunctionCall, Group, GroupConcat, GroupElem, If, In, InsertData, Intersection, IRIFunction, IsBNode, IsLiteral, IsNumeric, IsResource, IsURI, Join, Label, Lang, LangMatches, LeftJoin, Like, ListMemberOperator, Load, LocalName, MathExpr, Max, Min, Modify, Move, MultiProjection, Namespace, NaryJoin, NAryValueOperator, NJoin, Not, NTuple, NUnion, Or, Order, OrderElem, OwnedTupleExpr, PassThroughTupleExpr, PrecompiledQueryNode, Projection, ProjectionElem, ProjectionElemList, QueryModelNodeBase, QueryRoot, Reduced, Regex, SameTerm, Sample, Service, SingleSourceQuery, SingletonSet, Slice, StatementPattern, StatementSource, StatementSourcePattern, Str, SubQueryValueOperator, Sum, TripleRef, TrueStatementPattern, TupleFunctionCall, UnaryTupleOperator, UnaryValueOperator, Union, ValueConstant, ValueExprTripleRef, Var, ZeroLengthPath

  Deprecated.
  since 3.2. Use `VariableScopeChange` instead.

      @Deprecated
      public interface GraphPatternGroupable

  Author:
    jeen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isGraphPatternGroup()` Deprecated.
    `void` | `setGraphPatternGroup(boolean isGraphPatternGroup)` Deprecated.

- - ### Method Detail

    - #### isGraphPatternGroup

          @Deprecated
          boolean isGraphPatternGroup()

      Deprecated.
      indicates if the node represents the root of a graph pattern group.
      Returns:
        true iff the node represents the node of a graph pattern group.

    - #### setGraphPatternGroup

          @Deprecated
          void setGraphPatternGroup(boolean isGraphPatternGroup)

      Deprecated.
      Set the value of `isGraphPatternGroup()` to true or false.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.